<?php
if (!in_array("Stammdaten", $_SESSION['Rechte'])) {
	exit(ZUGRIFF_ERROR);
}
if (!isset($_SESSION['ID'])) {
} else {
	$sql = "SELECT ID, Vorname, Nachname FROM Team ORDER BY Nachname ASC";
	$result = $db->query($sql);
	
	echo "<p>Dieser Bereich betrifft lediglich die Anzeige der Teammitglieder auf der Homepage!</p>\n";
	echo "<p>Um einem Teammitglied einen Zugang zum Administrationsbereich anzulegen, gehen Sie auf <br />
	<span class=\"hinweis\">Stammdaten > Kontrollzentrum > Benutzer</span>.</p>\n";

// Das Formular für eine neue Person
	echo "<form action=\"index.php?".$_SERVER['QUERY_STRING']."\" method=\"post\">\n";
	echo "	<fieldset>\n";
	echo "		<legend>neues Teammitglied anlegen</legend>\n";
	echo "		<input type=\"submit\" name=\"action\" value=\"Anlegen\" />\n";
	echo "	</fieldset>\n";
	echo "</form>\n";

// Das Formular für eine bestehende Person
	echo "<form action=\"index.php?".$_SERVER['QUERY_STRING']."\" method=\"post\">\n";
	echo "	<fieldset>\n";
	echo "		<legend>bestehendes Teammitglied ...</legend>\n";
	echo "		<select name=\"ID\">\n";
	while ($nt = $result->fetch_assoc()) {
		echo "			<option value=\"".$nt['ID']."\">".$nt['Nachname'].", ".$nt['Vorname']." - ".$nt['ID']."</option>\n";
	}
	echo "		</select>\n";
	echo "		<br />&nbsp;<br />\n";
	echo "		<input type=\"submit\" name=\"action\" value=\"Bearbeiten\" />\n";
	echo "		<br />\n";
	echo "		<input type=\"submit\" name=\"action\" value=\"Löschen\" />\n";
	echo "		<br />\n";
	echo "	</fieldset>\n";
	echo "</form>\n";

// Das Formular für die Anzeigereihenfolge
	echo "<form action=\"index.php?".$_SERVER['QUERY_STRING']."\" method=\"post\">\n";
	echo "	<fieldset>\n";
	echo "		<legend>Anzeige-Reihenfolge der Teammitglieder</legend>\n";
	echo "		<input type=\"submit\" name=\"action\" value=\"Festlegen\" />\n";
	echo "		<br />\n";
	echo "	</fieldset>\n";
	echo "</form>\n";
}
?>